Package org.eclipse.rdf4j.query.algebra.evaluation.federation

## Class ServiceCrossProductIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.CrossProductIteration
      - - org.eclipse.rdf4j.query.algebra.evaluation.federation.ServiceCrossProductIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      @Deprecated
      public class ServiceCrossProductIteration
      extends CrossProductIteration

  Deprecated.
  Iteration which forms the cross product of a list of materialized input bindings with each result obtained from the inner iteration. See `SPARQLFederatedService`. Example: inputBindings := {b1, b2, ...} resultIteration := {r1, r2, ...} getNextElement() returns (r1,b1), (r1, b2), ..., (r2, b1), (r2, b2), ... i.e. compute the cross product per result binding
  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.CrossProductIteration

      `currentInputBinding, inputBindings, inputBindingsIterator, resultIteration`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceCrossProductIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> resultIteration, List<BindingSet> inputBindings)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.CrossProductIteration

      `getNextElement, handleClose`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### ServiceCrossProductIteration

          public ServiceCrossProductIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> resultIteration,
                                              List<BindingSet> inputBindings)

      Deprecated.